Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.text
Class RtfAnnotation

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfAnnotation

All Implemented Interfaces:
  RtfBasicElement, RtfElementInterface

    public class RtfAnnotation

extends RtfElement

The RtfAnnotation provides support for adding Annotations to the rtf document. Only simple Annotations with Title / Content are supported.

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

Field Summary
`private static byte[]` | `ANNOTATION` Constant for the actual annotation
`private static byte[]` | `ANNOTATION_AUTHOR` Constant for the author of the annotation
`private static byte[]` | `ANNOTATION_ID` Constant for the id of the annotation
`private java.lang.String` | `content` The content of this RtfAnnotation
`private java.lang.String` | `title` The title of this RtfAnnotation

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfAnnotation(RtfDocument doc, Annotation annotation)` Constructs a RtfAnnotation based on an Annotation.

Method Summary
`void` | `writeContent(java.io.OutputStream result)` Writes the content of the RtfAnnotation

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION_ID

    private static final byte[] ANNOTATION_ID

  Constant for the id of the annotation

### ANNOTATION_AUTHOR

    private static final byte[] ANNOTATION_AUTHOR

  Constant for the author of the annotation

### ANNOTATION

    private static final byte[] ANNOTATION

  Constant for the actual annotation

### title

    private java.lang.String title

  The title of this RtfAnnotation

### content

    private java.lang.String content

  The content of this RtfAnnotation

Constructor Detail

### RtfAnnotation

    public RtfAnnotation(RtfDocument doc,
                         Annotation annotation)

  Constructs a RtfAnnotation based on an Annotation.

  Parameters:
    `doc` - The RtfDocument this RtfAnnotation belongs to
    `annotation` - The Annotation this RtfAnnotation is based off

Method Detail

### writeContent

    public void writeContent(java.io.OutputStream result)
                      throws java.io.IOException

  Writes the content of the RtfAnnotation

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Specified by:
    `writeContent` in class `RtfElement`
  Parameters:
    `result` - The `OutputStream` to write the content to
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD